in

Color ls é uma alternativa muito colorida ao ls que você deve gostar

Veja como obter este recurso.

Se você deseja uma ferramenta poderosa que sirva como alternativa ao comando ls mais comum, então você deve saber mais sobre o color ls. Quem usa bastante o terminal do Linux deve saber que o comando ls permite listar o conteúdo dos diretórios, tanto os próprios subdiretórios quanto os arquivos. Além disso, exibe informações sobre cada um desses elementos, como tamanho, permissões, datas de modificação, proprietário etc. Assim, o Color ls é uma alternativa muito colorida ao ls que você deve gostar

É uma das ferramentas mais utilizadas quando se trabalha a partir do terminal, pois permite ter uma ideia de todo o conteúdo dos diretórios da mídia de armazenamento que você navegar. Contudo, o ls tem algumas limitações. Assim, para gerenciar os arquivos além de uma lista simples, outras ferramentas complementares serão necessárias.

Além disso, ls é uma ferramenta bastante primitiva que teve pouca evolução desde seu início devido à sua simplicidade. Sua origem está na AT&T, quando o original foi criado para UNIX e depois passado para outros sistemas.

Colorls é uma alternativa muito colorida ao ls que você deve gostar

Color ls é uma alternativa muito colorida ao ls que você deve gostar

Entretanto, com os colorls há algo muito mais novo e dinâmico. Você vai notar uma beleza maior destacando os comandos com cores especiais. É uma ferramenta com a mesma função que ls, mas foi aprimorada e escrita na linguagem de programação Ruby.

Ainda é uma ferramenta para a linha de comando (CLI), mas pode ser muito mais agradável e intuitiva de usar do que ls. Principalmente para aquelas pessoas que se acostumaram ou cresceram com a GUI e que não conseguem se defender com algumas saídas que são mostradas no terminal.

Seu uso é bastante simples, e você pode baixar esta ferramenta de seu repositório no GitHub. Lá você também encontrará informações sobre as etapas de uso e instalação. No entanto, elas são muito simples. Obviamente, sendo baseado em uma linguagem interpretada como Ruby, você precisará satisfazer algumas dependências, como instalar Ruby 2.5 (ou superior) e Font-Awesome e/ou Powerline Nerd-Font.

Comando ls, veja os parâmetros que são mais usados no Linux